
package de.ivu.elect.presentation.stimmeingabe.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiKonfiguration;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(StimmeingabePlausiKonfigurationActionMenu.COMPONENT_NAME)
public class StimmeingabePlausiKonfigurationActionMenu extends AbstractActionMenuModelBuilder<StimmeingabePlausiKonfiguration> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "stimmeingabePlausiKonfigurationActionMenu";

  @Inject
  private transient StimmeingabePlausiKonfigurationEditAction stimmeingabePlausiKonfigurationEditAction;

  @Inject
  private transient StimmeingabePlausiKonfigurationResetToDefaultAction stimmeingabePlausiKonfigurationResetToDefaultAction;

  @Inject
  private transient StimmeingabePlausiKonfigurationProtokollAnzeigenAction stimmeingabePlausiKonfigurationProtokollAnzeigenAction;

  public StimmeingabePlausiKonfigurationActionMenu() {
    super();
  }

  @Override
  public boolean isProtokollAnzeigen() {
    return false;
  }

  @Override
  protected List<ActionEntry<StimmeingabePlausiKonfiguration>> getActionEntriesSorted() {
    List<ActionEntry<StimmeingabePlausiKonfiguration>> result = new ArrayList<>();

    result.add(stimmeingabePlausiKonfigurationEditAction);
    result.add(stimmeingabePlausiKonfigurationResetToDefaultAction);
    result.add(stimmeingabePlausiKonfigurationProtokollAnzeigenAction);

    return result;
  }
}
